View Issue Details

IDProjectCategoryView StatusLast Update
0001195XdebugUsage problems (Wrong Results)public2015-11-09 01:40
ReporterremiAssigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSFedoraOS Version21
Product Version2.4.0beta1 
Target VersionFixed in Version2.4.0rc1 
Summary0001195: Segfault during PHPUnit (with code coverage)
DescriptionUsing PHP 7.0.0RC6
Steps To Reproducegit clone https://github.com/tecnickcom/tc-lib-color.git
cd tc-lib-color
composer install
phpunit
Additional InformationGDB backtrace attached

TagsNo tags attached.
Operating System
PHP Version7.0.0rc6

Relationships

has duplicate 0001197 resolvedderick XDebug crashes while dumping XD 

Activities

remi

2015-11-06 07:57

reporter  

bt.txt (9,383 bytes)
     (gdb) bt
     #0  0x00007f64f82318d7 in raise () at /lib64/libc.so.6
     #1  0x00007f64e3a690b0 in skgesigOSCrash () at /usr/lib64/oracle/12.1/client64/lib/libclntsh.so.12.1
     #2  0x00007f64e3d325ee in kpeDbgSignalHandler () at /usr/lib64/oracle/12.1/client64/lib/libclntsh.so.12.1
     #3  0x00007f64e3a69290 in skgesig_sigactionHandler () at /usr/lib64/oracle/12.1/client64/lib/libclntsh.so.12.1
     #4  0x00007f64f8231960 in <signal handler called> () at /lib64/libc.so.6
     #5  0x00007f64f063a8e9 in xdebug_hash_extended_find (h=<optimized out>, str_key=str_key@entry=0x0, str_key_len=str_key_len@entry=0, num_key=num_key@entry=242, p=p@entry=0x7fff93aa7440) at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug_hash.c:212
     #6  0x00007f64f062e98e in prefill_from_oparray (deadcode=<optimized out>, executable=1, lineno=242, filename=0x7f64f710f9b8 "/work/GIT/tc-lib-color/vendor/phpunit/phpunit/src/Framework/TestSuite.php") at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug_code_coverage.c:493
     #7  0x00007f64f062e98e in prefill_from_oparray (deadcode=<optimized out>, fn=0x7f64f710f9b8 "/work/GIT/tc-lib-color/vendor/phpunit/phpunit/src/Framework/TestSuite.php", opcode=...) at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug_code_coverage.c:525
     #8  0x00007f64f062e98e in prefill_from_oparray (filename=0x7f64f710f9b8 "/work/GIT/tc-lib-color/vendor/phpunit/phpunit/src/Framework/TestSuite.php", op_array=0x7f64f700e3d8) at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug_code_coverage.c:841
     #9  0x00007f64f062ecf3 in prefill_from_function_table (opa=<optimized out>)
         at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug_code_coverage.c:877
     #10 0x00007f64f062ed5e in prefill_from_class_table (class_entry=<optimized out>, num_args=<optimized out>, args=<optimized out>, hash_key=<optimized out>) at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug_code_coverage.c:905
     #11 0x0000563fadba5a53 in zend_hash_apply_with_arguments (ht=0x563fafa4c740, apply_func=apply_func@entry=0x7f64f062ed00 <prefill_from_class_table>, num_args=num_args@entry=1) at /usr/src/debug/php-7.0.0RC6/Zend/zend_hash.c:1519
     #12 0x00007f64f0630033 in xdebug_prefill_code_coverage (op_array=op_array@entry=0x7f64f70045f8)
         at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug_code_coverage.c:924
     #13 0x00007f64f063005b in xdebug_code_coverage_start_of_function (op_array=op_array@entry=0x7f64f70045f8)
         at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug_code_coverage.c:931
     #14 0x00007f64f062a9e9 in xdebug_execute_ex (execute_data=0x7f64f7016e40) at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug.c:1835
     #15 0x0000563fadb852e3 in zend_call_function (fci=fci@entry=0x7fff93aa7830, fci_cache=fci_cache@entry=0x7fff93aa7800)
         at /usr/src/debug/php-7.0.0RC6/Zend/zend_execute_API.c:854
     #16 0x0000563fadbb0fee in zend_call_method (object=0x7f64f7098668, obj_ce=<optimized out>, fn_proxy=<optimized out>, function_name=0x7f64f7081568 "composer\\autoload\\classloader::loadclass\001", function_name_len=44, retval_ptr=retval_ptr@entry=0x0, param_count=1, arg1=0x7f64f7016e30, arg2=0x0)
         at /usr/src/debug/php-7.0.0RC6/Zend/zend_interfaces.c:104
     #17 0x0000563fada99371 in zif_spl_autoload_call (execute_data=<optimized out>, return_value=<optimized out>)
         at /usr/src/debug/php-7.0.0RC6/ext/spl/php_spl.c:425
     #18 0x0000563fadb837ea in dtrace_execute_internal (execute_data=<optimized out>, return_value=<optimized out>)
         at /usr/src/debug/php-7.0.0RC6/Zend/zend_dtrace.c:107
     #19 0x00007f64f062aec1 in xdebug_execute_internal (current_execute_data=0x7f64f7016dd0, return_value=0x7fff93aa7ad0)
         at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug.c:2011
     #20 0x0000563fadb85538 in zend_call_function (fci=fci@entry=0x7fff93aa7b10, fci_cache=fci_cache@entry=0x7fff93aa7ae0)
         at /usr/src/debug/php-7.0.0RC6/Zend/zend_execute_API.c:875
     #21 0x0000563fadb8594a in zend_lookup_class_ex (name=name@entry=0x7f64f70cbb68, key=0x7f64ba5002a0, use_autoload=use_autoload@entry=1)
         at /usr/src/debug/php-7.0.0RC6/Zend/zend_execute_API.c:1036
     #22 0x0000563fadb86318 in zend_fetch_class_by_name (class_name=0x7f64f70cbb68, key=<optimized out>, fetch_type=fetch_type@entry=512)
         at /usr/src/debug/php-7.0.0RC6/Zend/zend_execute_API.c:1383
     #23 0x0000563fadc201e7 in ZEND_INIT_STATIC_METHOD_CALL_SPEC_CONST_CONST_HANDLER () at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:5608
     #24 0x0000563fadbd249b in execute_ex (ex=ex@entry=0x7f64ba4f8cc0) at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:414
     #25 0x0000563fadb83678 in dtrace_execute_ex (execute_data=0x7f64ba4f8cc0) at /usr/src/debug/php-7.0.0RC6/Zend/zend_dtrace.c:83
     #26 0x00007f64f062a53f in xdebug_execute_ex (execute_data=0x7f64f7016210) at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug.c:1866
     #27 0x0000563fadc1629d in ZEND_DO_FCALL_SPEC_HANDLER () at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:800
     #28 0x0000563fadbd249b in execute_ex (ex=ex@entry=0x7f64f71d92a0) at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:414
     #29 0x0000563fadb83678 in dtrace_execute_ex (execute_data=0x7f64f71d92a0) at /usr/src/debug/php-7.0.0RC6/Zend/zend_dtrace.c:83
     #30 0x00007f64f062a53f in xdebug_execute_ex (execute_data=0x7f64f7015790) at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug.c:1866
     #31 0x0000563fadc1629d in ZEND_DO_FCALL_SPEC_HANDLER () at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:800
     #32 0x0000563fadbd249b in execute_ex (ex=ex@entry=0x7f64f718f040) at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:414
     #33 0x0000563fadb83678 in dtrace_execute_ex (execute_data=0x7f64f718f040) at /usr/src/debug/php-7.0.0RC6/Zend/zend_dtrace.c:83
     #34 0x00007f64f062a53f in xdebug_execute_ex (execute_data=0x7f64f70151b0) at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug.c:1866
     #35 0x0000563fadc1629d in ZEND_DO_FCALL_SPEC_HANDLER () at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:800
     #36 0x0000563fadbd249b in execute_ex (ex=ex@entry=0x7f64f718f040) at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:414
     #37 0x0000563fadb83678 in dtrace_execute_ex (execute_data=0x7f64f718f040) at /usr/src/debug/php-7.0.0RC6/Zend/zend_dtrace.c:83
     #38 0x00007f64f062a53f in xdebug_execute_ex (execute_data=0x7f64f7014bd0) at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug.c:1866
     #39 0x0000563fadc1629d in ZEND_DO_FCALL_SPEC_HANDLER () at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:800
     #40 0x0000563fadbd249b in execute_ex (ex=ex@entry=0x7f64ba4dc420) at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:414
     #41 0x0000563fadb83678 in dtrace_execute_ex (execute_data=0x7f64ba4dc420) at /usr/src/debug/php-7.0.0RC6/Zend/zend_dtrace.c:83
     #42 0x00007f64f062a53f in xdebug_execute_ex (execute_data=0x7f64f7013750) at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug.c:1866
     #43 0x0000563fadc1629d in ZEND_DO_FCALL_SPEC_HANDLER () at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:800
     #44 0x0000563fadbd249b in execute_ex (ex=ex@entry=0x7f64f7123c80) at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:414
     #45 0x0000563fadb83678 in dtrace_execute_ex (execute_data=0x7f64f7123c80) at /usr/src/debug/php-7.0.0RC6/Zend/zend_dtrace.c:83
     #46 0x00007f64f062a53f in xdebug_execute_ex (execute_data=0x7f64f7013330) at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug.c:1866
     #47 0x0000563fadc1629d in ZEND_DO_FCALL_SPEC_HANDLER () at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:800
     #48 0x0000563fadbd249b in execute_ex (ex=ex@entry=0x7f64f708db00) at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:414
     #49 0x0000563fadb83678 in dtrace_execute_ex (execute_data=0x7f64f708db00) at /usr/src/debug/php-7.0.0RC6/Zend/zend_dtrace.c:83
     #50 0x00007f64f062a53f in xdebug_execute_ex (execute_data=0x7f64f7013240) at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug.c:1866
     #51 0x0000563fadc1629d in ZEND_DO_FCALL_SPEC_HANDLER () at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:800
     #52 0x0000563fadbd249b in execute_ex (ex=ex@entry=0x7f64f708bfa0) at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:414
     #53 0x0000563fadb83678 in dtrace_execute_ex (execute_data=0x7f64f708bfa0) at /usr/src/debug/php-7.0.0RC6/Zend/zend_dtrace.c:83
     #54 0x00007f64f062a53f in xdebug_execute_ex (execute_data=0x7f64f7013030) at /usr/src/debug/php70-php-pecl-xdebug-2.4.0/NTS/xdebug.c:1866
     #55 0x0000563fadc26517 in zend_execute (op_array=op_array@entry=0x7f64f7085000, return_value=return_value@entry=0x0)
         at /usr/src/debug/php-7.0.0RC6/Zend/zend_vm_execute.h:458
     #56 0x0000563fadb93a63 in zend_execute_scripts (type=type@entry=8, retval=retval@entry=0x0, file_count=file_count@entry=3)
         at /usr/src/debug/php-7.0.0RC6/Zend/zend.c:1428
     #57 0x0000563fadb34920 in php_execute_script (primary_file=0x7fff93aaab60) at /usr/src/debug/php-7.0.0RC6/main/main.c:2471
     #58 0x0000563fadc281d8 in do_cli (argc=2, argv=0x563fafa4c390) at /usr/src/debug/php-7.0.0RC6/sapi/cli/php_cli.c:974
     #59 0x0000563fada18892 in main (argc=2, argv=0x563fafa4c390) at /usr/src/debug/php-7.0.0RC6/sapi/cli/php_cli.c:1345
bt.txt (9,383 bytes)

derick

2015-11-09 01:40

administrator   ~0003209

Thanks for the report! This is now fixed in GIT for 2.4.0RC1.

Issue History

Date Modified Username Field Change
2015-11-06 07:57 remi New Issue
2015-11-06 07:57 remi File Added: bt.txt
2015-11-09 01:40 derick Note Added: 0003209
2015-11-09 01:40 derick Status new => closed
2015-11-09 01:40 derick Assigned To => derick
2015-11-09 01:40 derick Resolution open => fixed
2015-11-09 01:40 derick Fixed in Version => 2.4.0rc1
2015-11-09 01:45 derick Relationship added has duplicate 0001197
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)